# $Revision: 1.24 $, $Date: 2006/05/21 17:16:56 $
Summary:	Jabber User Directory module
Summary(pl):	Modu rejestru uytkownikw dla systemu Jabber
Name:		jabber-jud
Version:	0.4
Release:	3
License:	distributable
Group:		Applications/Communications
Source0:	http://download.jabber.org/dists/1.4/final/jud-%{version}.tar.gz
# Source0-md5:	a057e8dd5966fa0d26ded03697ba395a
Source1:	jud.xml
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Patch0:		%{name}-Makefile.patch
URL:		http://www.jabber.org/
BuildRequires:	jabberd14-devel >= 1.4.3.1-2
%requires_eq	jabberd14
Requires(post):	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is User Directory module for Jabber.

%description -l pl
Modu ten umoliwia rejestrowanie i przeszukiwanie danych o
uytkownikach systemu Jabber.

%prep
%setup -qn jud-%{version}
%patch0 -p1

%build
%{__make} \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/jabberd14,%{_sysconfdir}/jabber} \
	$RPM_BUILD_ROOT{%{_sbindir},/etc/{rc.d/init.d,sysconfig}}

install jud.so $RPM_BUILD_ROOT%{_libdir}/jabberd14
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/jabber
ln -s %{_sbindir}/jabberd14 $RPM_BUILD_ROOT%{_sbindir}/jabber-jud
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabber-jud
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/jabber-jud

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_sysconfdir}/jabber/secret ] ; then
	SECRET=`cat %{_sysconfdir}/jabber/secret`
	if [ -n "$SECRET" ] ; then
		echo "Updating component authentication secret in the config file..."
		%{__sed} -i -e "s/>secret</>$SECRET</" /etc/jabber/jud.xml
	fi
fi

if [ -r /var/lock/subsys/jabber-jud ]; then
	/etc/rc.d/init.d/jabber-jud restart >&2
else
	echo "Run \"/etc/rc.d/init.d/jabber-jud start\" to start Jabber mu-conference service."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/jabber-jud ]; then
		/etc/rc.d/init.d/jabber-jud stop >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/jabberd14/*
%attr(640,root,jabber) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/jabber/*
%attr(754,root,root) /etc/rc.d/init.d/jabber-jud
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/jabber-jud

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jabber-jud.spec,v $
Revision 1.24  2006/05/21 17:16:56  glen
- rel 3

Revision 1.23  2006/05/21 17:12:12  glen
- use jabberd14-devel with pth-devel dep rather here

Revision 1.22  2006/04/14 17:31:43  glen
- use sed for inline edits rather perl

Revision 1.21  2005/06/26 02:20:46  zbyniu
- removed BRs provided by jabberd14-devel

Revision 1.20  2005/06/06 14:18:54  zbyniu
- BR: expat-devel, openssl-devel; sorted verify() flags

Revision 1.19  2005/05/14 09:08:37  darekr
- unify

Revision 1.18  2004/07/28 15:46:35  snurf
- added missing BR

Revision 1.17  2004/01/03 12:15:24  jajcus
- pass libdir to make

Revision 1.16  2003/09/16 15:24:08  jajcus
- Release: 2

Revision 1.15  2003/09/16 11:51:42  jajcus
- use environment provided by jabber-jud package

Revision 1.14  2003/09/15 12:37:59  jajcus
- modified for compilation with new jabberd14 package and for use with jabberd 2.0

Revision 1.13  2003/08/22 15:44:04  ankry
- cosmetics: spaces -> tabs

Revision 1.12  2003/05/28 12:59:12  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2002/06/27 09:55:38  kloczek
- use new %doc and few cleanups.

Revision 1.9  2002/04/25 16:38:15  arturs
fixed a small typo

Revision 1.8  2002/02/23 02:59:08  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/09 15:30:16  jajcus
- %%requires_eq jabber

Revision 1.5  2002/02/08 16:05:08  jajcus
- updates for new jabber.spec

Revision 1.4  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/27 07:30:55  jajcus
- Source URL fixed

Revision 1.2  2001/12/26 16:59:12  jajcus
- Updates for new jabber init script
- Requires,BuildRequires

Revision 1.1  2001/12/22 10:55:09  jajcus
- initial spec
